Search the Community
Showing results for tags 'associated'.
-
multileader MULTILEADERs (Some) will not reassociate. Drawing attached.
3dwannab posted a topic in AutoLISP, Visual LISP & DCL
Hi folks, I've posted here on the Bugs and quirks group. But I feel it's a job for lisp. Thing is one MLEADER in this example is not associating using the DRE command and the other is. I've dwgs where every other MLEADER is like this for some reason. See drawing attached. I've used the code below from the help pages and it comes back with both MLEADERS having an associated Extension Dictionary. All the usual dump VLA and DXF dumps come back with no dissimilarities either. (vl-load-com) (defun c:DumpExtensionDictionary() ;; This example will iterate through each object in the current drawing and ;; determine whether that object has an associated Extension Dictionary (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq modelSpace (vla-get-ModelSpace doc)) ;; Make sure this drawing contains objects before continuing (if (= (vla-get-Count modelSpace) 0) (alert "There are no objects in the current drawing.") (progn (setq ExtensionDictionaryResults "") (vlax-for DrawingObject modelSpace ;; Determine whether object contains Extension Dictionary (cond ((= (vla-get-HasExtensionDictionary DrawingObject) :vlax-true) (setq ExtensionDictionaryResults (strcat ExtensionDictionaryResults (vla-get-ObjectName DrawingObject) " has an associated Extension Dictionary.\n"))) ((= (vla-get-HasExtensionDictionary DrawingObject) :vlax-false) (setq ExtensionDictionaryResults (strcat ExtensionDictionaryResults (vla-get-ObjectName DrawingObject) " does not have an associated Extension Dictionary.\n"))) ) ) (alert ExtensionDictionaryResults) ) ) ) MLEADER DIM ASSOC PROBLEM.dwg